// Generated by gencpp from file exvis_parallel_real_cpg_online/cpgServiceResponse.msg
// DO NOT EDIT!


#ifndef EXVIS_PARALLEL_REAL_CPG_ONLINE_MESSAGE_CPGSERVICERESPONSE_H
#define EXVIS_PARALLEL_REAL_CPG_ONLINE_MESSAGE_CPGSERVICERESPONSE_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace exvis_parallel_real_cpg_online
{
template <class ContainerAllocator>
struct cpgServiceResponse_
{
  typedef cpgServiceResponse_<ContainerAllocator> Type;

  cpgServiceResponse_()
    : success(false)  {
    }
  cpgServiceResponse_(const ContainerAllocator& _alloc)
    : success(false)  {
  (void)_alloc;
    }



   typedef uint8_t _success_type;
  _success_type success;





  typedef boost::shared_ptr< ::exvis_parallel_real_cpg_online::cpgServiceResponse_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::exvis_parallel_real_cpg_online::cpgServiceResponse_<ContainerAllocator> const> ConstPtr;

}; // struct cpgServiceResponse_

typedef ::exvis_parallel_real_cpg_online::cpgServiceResponse_<std::allocator<void> > cpgServiceResponse;

typedef boost::shared_ptr< ::exvis_parallel_real_cpg_online::cpgServiceResponse > cpgServiceResponsePtr;
typedef boost::shared_ptr< ::exvis_parallel_real_cpg_online::cpgServiceResponse const> cpgServiceResponseConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::exvis_parallel_real_cpg_online::cpgServiceResponse_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::exvis_parallel_real_cpg_online::cpgServiceResponse_<ContainerAllocator> >::stream(s, "", v);
return s;
}


template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator==(const ::exvis_parallel_real_cpg_online::cpgServiceResponse_<ContainerAllocator1> & lhs, const ::exvis_parallel_real_cpg_online::cpgServiceResponse_<ContainerAllocator2> & rhs)
{
  return lhs.success == rhs.success;
}

template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator!=(const ::exvis_parallel_real_cpg_online::cpgServiceResponse_<ContainerAllocator1> & lhs, const ::exvis_parallel_real_cpg_online::cpgServiceResponse_<ContainerAllocator2> & rhs)
{
  return !(lhs == rhs);
}


} // namespace exvis_parallel_real_cpg_online

namespace ros
{
namespace message_traits
{





template <class ContainerAllocator>
struct IsMessage< ::exvis_parallel_real_cpg_online::cpgServiceResponse_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::exvis_parallel_real_cpg_online::cpgServiceResponse_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::exvis_parallel_real_cpg_online::cpgServiceResponse_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::exvis_parallel_real_cpg_online::cpgServiceResponse_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::exvis_parallel_real_cpg_online::cpgServiceResponse_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::exvis_parallel_real_cpg_online::cpgServiceResponse_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::exvis_parallel_real_cpg_online::cpgServiceResponse_<ContainerAllocator> >
{
  static const char* value()
  {
    return "358e233cde0c8a8bcfea4ce193f8fc15";
  }

  static const char* value(const ::exvis_parallel_real_cpg_online::cpgServiceResponse_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x358e233cde0c8a8bULL;
  static const uint64_t static_value2 = 0xcfea4ce193f8fc15ULL;
};

template<class ContainerAllocator>
struct DataType< ::exvis_parallel_real_cpg_online::cpgServiceResponse_<ContainerAllocator> >
{
  static const char* value()
  {
    return "exvis_parallel_real_cpg_online/cpgServiceResponse";
  }

  static const char* value(const ::exvis_parallel_real_cpg_online::cpgServiceResponse_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::exvis_parallel_real_cpg_online::cpgServiceResponse_<ContainerAllocator> >
{
  static const char* value()
  {
    return "bool success\n"
"\n"
"\n"
;
  }

  static const char* value(const ::exvis_parallel_real_cpg_online::cpgServiceResponse_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::exvis_parallel_real_cpg_online::cpgServiceResponse_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.success);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct cpgServiceResponse_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::exvis_parallel_real_cpg_online::cpgServiceResponse_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::exvis_parallel_real_cpg_online::cpgServiceResponse_<ContainerAllocator>& v)
  {
    s << indent << "success: ";
    Printer<uint8_t>::stream(s, indent + "  ", v.success);
  }
};

} // namespace message_operations
} // namespace ros

#endif // EXVIS_PARALLEL_REAL_CPG_ONLINE_MESSAGE_CPGSERVICERESPONSE_H
